Subject: bug#76926: 31.0.50; Hyperbole tarball bloat

From: Stefan Monnier <[email-masked]>
Date: Wed, 09 Apr 2025 22:08:11 -0400

> Sorry but I'm confused here. Let me take step back.
>
> This thread or bug is about reducing the bloat in the Hyperbole package and
> possibly what files are stored in git. One of the things you suggested was
> that we could let ELPA generate the info and dir files plus generate a HTML
> file that would be linked to from the ELPA web site.
>
> That sounded like something worth testing so I suggested that we had a go at
> it and you helped us by adding the :doc attribute to the ELPA recipe for
> Hyperbole. Unfortunately that did not work because the texi file refers to
> images stored in a sub folder relative to the info file.

Hmm... I'm still a bit confused.

AFAIK you reported that the HTML page at `elpa.gnu.org` is failing to
show images (and I was not surprised, because IIRC this is not
supported at all right now by the `elpa.gnu.org` scripts 🙁).

But do I understand correctly that you're also now reporting that the
Info version of that documentation, available within Emacs when the
package is installed, also can't display the images?

That would be a separate problem (and one that should be easier to fix).

> I think here is where we stand today.  What we want is that the images
> are shown in info and when web browsing.  It is not clear to me if this
> is possible with changes in the Hyperbole package, or if the recipe
> needs to be changed as well or do we even need changes to the ELPA
> build system to support local files!?

For the web docs, changes to the ELPA build system are definitely needed
(and not completely straightforward: someone already took a stab at it
and it go very far).

For the Info docs, I think the best possible solution will require
changes to the ELPA build system as well, but I haven't looked at the
problem yet.

> Adding the images to the :doc attribute and change the texi file to
> assume a flat file structure seems plausible but will that work for
> the web page?

I hope we can arrange so that the list of image files can be provided
only once in the package's spec and that it makes it work for both Info
and web versions of the manual, but the problem for each of the two
cases will have to be implemented separately because they're quite
different in practice.

        Stefan